<?php $__env->startSection('head_title', trans('words.dashboard_text').' | '.getcong('site_name') ); ?>

<?php $__env->startSection('head_url', Request::url()); ?>

<?php $__env->startSection('content'); ?>
  

<!-- Start Breadcrumb -->
<div class="breadcrumb-section bg-xs" style="background-image: url('<?php echo e(URL::asset('site_assets/images/breadcrum-bg.jpg')); ?>')">
    <div class="container-fluid">
      <div class="row">
        <div class="col-xl-12"> 
        <h2><?php echo e(trans('words.dashboard_text')); ?></h2>
          <nav id="breadcrumbs">
            <ul>
              <li><a href="<?php echo e(URL::to('/')); ?>" title="<?php echo e(trans('words.home')); ?>"><?php echo e(trans('words.home')); ?></a></li>
              <li><?php echo e(trans('words.dashboard_text')); ?></li>
            </ul>
          </nav>
        </div>
      </div>
    </div>
  </div>
<!-- End Breadcrumb --> 

<!-- Start Dashboard Page -->
<div class="vfx-item-ptb vfx-item-info">
  <div class="container-fluid">
     <div class="row">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
 

       <div class="profile-section">
        <div class="row">
          <div class="col-lg-3 col-md-4 col-sm-12 col-xs-12">
          <div class="img-profile"> 
            <?php if(Auth::User()->user_image): ?>
              <img src="<?php echo e(URL::asset('upload/'.Auth::User()->user_image)); ?>" class="img-rounded" alt="profile pic" title="profile pic">
            <?php else: ?>  
              <img src="<?php echo e(URL::asset('site_assets/images/user-avatar.png')); ?>" class="img-rounded" alt="profile_img" title="profile pic">
            <?php endif; ?>
             
          </div>
          <div class="profile_title_item">
            <h5><?php echo e(Auth::User()->name); ?></h5>
            <p><?php echo e(Auth::User()->email); ?></p>
             
            
            <a href="#" class="vfx-item-btn-danger text-uppercase data_remove"><i class="fa fa-trash"></i>Account Delete</a>
          </div>
          </div>
          <div class="col-lg-9 col-md-8 col-sm-12 col-xs-12">
          <div class="row">
            <div class="col-lg-6 col-md-12 col-sm-12 col-xs-12">
              <div class="member-ship-option">
              
              <h5 class="color-up"><?php echo e(trans('words.my_subscription')); ?></h5>
              
              <?php if($user->plan_id!=0): ?>
              
                <span class="premuim-memplan-bold-text"><strong><?php echo e(trans('words.current_plan')); ?>:</strong><span><?php echo e(\App\SubscriptionPlan::getSubscriptionPlanInfo($user->plan_id,'plan_name')); ?></span></span>
                
                <?php if($user->exp_date): ?>
                <span class="premuim-memplan-bold-text"><strong><?php echo e(trans('words.subscription_expires_on')); ?>:</strong><span><?php echo e(date('F,  d, Y',$user->exp_date)); ?></span></span>
                <?php endif; ?>
              
                <div class="mt-3"><a href="<?php echo e(URL::to('membership_plan')); ?>" class="vfx-item-btn-danger text-uppercase"><?php echo e(trans('words.upgrade_plan')); ?></a></div>

              <?php else: ?>

                <div class="mt-3"><a href="<?php echo e(URL::to('membership_plan')); ?>" class="vfx-item-btn-danger text-uppercase"><?php echo e(trans('words.select_plan')); ?></a></div>
                
              <?php endif; ?>
              
              </div>
            
            </div>
            <div class="col-lg-6 col-md-12 col-sm-12 col-xs-12">
              <div class="member-ship-option">
              <h5 class="color-up"><?php echo e(trans('words.last_invoice')); ?></h5>
              <span class="premuim-memplan-bold-text"><strong><?php echo e(trans('words.date')); ?>:</strong>
                <?php if($user->start_date): ?>
                <span><?php echo e(date('F,  d, Y',$user->start_date)); ?></span>
                <?php endif; ?>
              </span>
              <span class="premuim-memplan-bold-text"><strong><?php echo e(trans('words.plan')); ?>:</strong>
                <?php if($user->plan_id): ?>
                <span><?php echo e(\App\SubscriptionPlan::getSubscriptionPlanInfo($user->plan_id,'plan_name')); ?></span>
                <?php endif; ?>
              </span>
              <span class="premuim-memplan-bold-text"><strong><?php echo e(trans('words.amount')); ?>:</strong>
                <?php if($user->plan_amount): ?>
                <span><?php echo e(number_format($user->plan_amount,2,'.', '')); ?></span>
                <?php endif; ?>
              </span> 
                 
              </div>
            </div>
          </div>
          </div>  
        </div>
       </div>
     </div>
  
     <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
      
      <div class="table-wrapper">

       <div class="vfx-item-section">
          <h3><?php echo e(trans('words.user_history')); ?></h3>           
      </div>
  

      <table class="fl-table">
        <thead>
          <tr>            
            <th><?php echo e(trans('words.plan')); ?></th>
            <th><?php echo e(trans('words.amount')); ?></th>
            <th><?php echo e(trans('words.payment_gateway')); ?></th>
            <th><?php echo e(trans('words.payment_id')); ?></th>
            <th><?php echo e(trans('words.payment_date')); ?></th>
          </tr>
        </thead> 
        <tbody>
          <?php $__currentLoopData = $transactions_list; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i => $transaction_data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
          <tr>                      
            <td><span class="current-plan-item"><?php echo e(\App\SubscriptionPlan::getSubscriptionPlanInfo($transaction_data->plan_id,'plan_name')); ?></span></td>
            <td><?php echo e(html_entity_decode(getCurrencySymbols(getcong('currency_code')))); ?> <?php echo e(number_format($transaction_data->payment_amount,2)); ?>

            <?php if($transaction_data->coupon_code!=""): ?>
              &nbsp;
              (Coupon Used: <?php echo e($transaction_data->coupon_code); ?>)
            <?php endif; ?>
            </td>
            <td><?php echo e($transaction_data->gateway); ?></td>
            <td><?php echo e($transaction_data->payment_id); ?></td>    
            <td><span class="expires-plan-item"><?php echo e(date('M d Y h:i A',$transaction_data->date)); ?></span></td>            
          </tr>
          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>           
        <tbody>
      </table>
        </div>

      <div class="col-xs-12"> 

        <?php echo $__env->make('_particles.pagination', ['paginator' => $transactions_list], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
     
      </div>

     </div>
    </div>
  </div>
</div>
<!-- End Dashboard Page -->   

<?php echo $__env->make("pages.user.logged_in_device_list", \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<script src="<?php echo e(URL::asset('site_assets/js/jquery-3.3.1.min.js')); ?>"></script> 

<script type="text/javascript">
    
    <?php if(Session::has('flash_message')): ?>     
 
      const Toast = Swal.mixin({
        toast: true,
        position: 'top-end',
        showConfirmButton: false,
        timer: 3000,
        timerProgressBar: false,
        /*didOpen: (toast) => {
          toast.addEventListener('mouseenter', Swal.stopTimer)
          toast.addEventListener('mouseleave', Swal.resumeTimer)
        }*/
      })

      Toast.fire({
        icon: 'success',
        title: '<?php echo e(Session::get('flash_message')); ?>'
      })     
     
  <?php endif; ?>

  <?php if(Session::has('success')): ?>     
 
      const Toast = Swal.mixin({
        toast: true,
        position: 'top-end',
        showConfirmButton: false,
        timer: 3000,
        timerProgressBar: false,
        /*didOpen: (toast) => {
          toast.addEventListener('mouseenter', Swal.stopTimer)
          toast.addEventListener('mouseleave', Swal.resumeTimer)
        }*/
      })

      Toast.fire({
        icon: 'success',
        title: '<?php echo e(Session::get('success')); ?>'
      })     
     
  <?php endif; ?>

  <?php if(Session::has('error_flash_message')): ?>     
 
      const Toast = Swal.mixin({
        toast: true,
        position: 'top-end',
        showConfirmButton: false,
        timer: 3000,
        timerProgressBar: false,
        /*didOpen: (toast) => {
          toast.addEventListener('mouseenter', Swal.stopTimer)
          toast.addEventListener('mouseleave', Swal.resumeTimer)
        }*/
      })

      Toast.fire({
        icon: 'error',
        title: '<?php echo e(Session::get('error_flash_message')); ?>'
      })     
     
  <?php endif; ?>

 
$(".data_remove").click(function () {  
  
  var post_id = $(this).data("id");
    
  Swal.fire({
    title: '<?php echo e(trans('words.dlt_warning')); ?>',
  text: "<?php echo e(trans('words.user_dlt_confirm')); ?>",
  icon: 'warning',
  showCancelButton: true,
  confirmButtonColor: '#3085d6',
  cancelButtonColor: '#d33',
  confirmButtonText: '<?php echo e(trans('words.dlt_confirm')); ?>',
  cancelButtonText: "<?php echo e(trans('words.btn_cancel')); ?>",
  background:"#1a2234",
  color:"#fff"

}).then((result) => {

  //alert(post_id);

  //alert(JSON.stringify(result));

    if(result.isConfirmed) { 

        $.ajax({
            type: 'get',
            url: "<?php echo e(URL::to('account_delete')); ?>",
            dataType: 'json',
            data: {id: ''},
            success: function(res) {

              if(res.status=='1')
              {  
 
                  Swal.fire({
                    position: 'center',
                    icon: 'success',
                    title: '<?php echo e(trans('words.deleted')); ?>!',
                    text: '<?php echo e(trans('words.user_dlt_success')); ?>',
                    showConfirmButton: true,
                    confirmButtonColor: '#10c469',
                    background:"#1a2234",
                    color:"#fff"
                  }).then(function() {
                                  window.location = "<?php echo e(URL::to('/')); ?>";
                              });
                
              } 
              else
              { 
                Swal.fire({
                        position: 'center',
                        icon: 'error',
                        title: 'Something went wrong!',
                        showConfirmButton: true,
                        confirmButtonColor: '#10c469',
                        background:"#1a2234",
                        color:"#fff"
                       })
              }
              
            }
        });
    }
 
})

});
 

  </script>
 
<?php $__env->stopSection(); ?>
<?php echo $__env->make('site_app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/l0r3ghjlih6t/public_html/streamviewes.com/resources/views/pages/user/dashboard.blade.php ENDPATH**/ ?>